Name:		CGSI-gSOAP
Version:	1.3.3.2
Release:	1%{?dist}
Summary:	GSI plugin for gSOAP

Group:		System Environment/Libraries
License:	ASL 2.0
URL:		http://glite.web.cern.ch/glite/
#		The source tarball is based on a CVS checkout.
#		Since the latest tag, the license has been changed from the
#		EGEE license to the Apache 2.0 license in the code in the CVS
#		and the patches we submitted upstream have been applied.
#		So in order to get these changes the CVS checkout is based on
#		a date rather than a tag for this build. 
#		cvs -d:pserver:anonymous@glite.cvs.cern.ch:/cvs/glite \
#		  co -D 2009-09-20 -d CGSI-gSOAP-$version \
#		  org.glite.security.cgsi-gsoap
#		tar -z -c --exclude CVS -f CGSI-gSOAP-1.3.3.2.tar.gz \
#		  CGSI-gSOAP-1.3.3.2
Source0:	%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Provides:	CGSI_gSOAP = %{version}-%{release}
Obsoletes:	CGSI_gSOAP < 1.3.2.2-3
BuildRequires:	globus-gss-assist-devel%{?_isa}
BuildRequires:	globus-gssapi-gsi-devel%{?_isa}
BuildRequires:	gsoap-devel%{?_isa}
BuildRequires:	voms-devel%{?_isa}
BuildRequires:	doxygen

%description
This is a GSI plugin for gSOAP. It uses the globus GSI libraries to implement
GSI secure authentication and encryption on top of gSOAP.

%package devel
Summary:	GSI plugin for gSOAP - development files
Group:		Development/Libraries
Requires:	%{name}%{?_isa} = %{version}-%{release}
Requires:	gsoap-devel
Provides:	CGSI_gSOAP-devel = %{version}-%{release}
Obsoletes:	CGSI_gSOAP-devel < 1.3.2.2-3

%description devel
This package provides the header files for programming with the cgsi-gsoap
plugins.

%prep
%setup -q

# Fix bad permissions (which otherwise end up in the debuginfo package)
find . '(' -name '*.h' -o -name '*.c' -o -name '*.cpp' -o -name '*.cc' ')' \
    -exec chmod 644 {} ';'
chmod 644 LICENSE RELEASE-NOTES

# Adapt Makefile for Fedora
sed -e /PTHR/d \
    -e 's!_$(GLOBUS_FLAVOUR)!!g' \
    -e 's!-L$([A-Z_]*)/lib!!' \
    -e 's!-L$([A-Z_]*)/$(LIBDIR)!!' \
    -e 's!\(GLOBUS_INCLUDE *= *\).*!\1-I/usr/include/globus -I/usr/$(LIBDIR)/globus/include -I/usr/kerberos/include!' \
    -e 's!\(GSOAP_INCLUDE *= *\).*!\1!' \
    -e 's!\(GSOAP_VERSION *= *\).*!\1!' \
    -e 's!-I$(VOMS_LOCATION)/include/glite/security/voms!-I/usr/include/voms!' \
    -e 's!\.so \\$!.so!' \
    -e s/installshlibvomspthr// -i src/Makefile
sed -e :a -e '/^$/N;/\n.*$(AR)/d;ta' -e 'P;D' -i src/Makefile
sed -e :a -e '/^$/N;/\n.*$(RANLIB)/d;ta' -e 'P;D' -i src/Makefile

%build
. ./VERSION
cd src
make CFLAGS="%optflags -fPIC -I." USE_VOMS=yes WITH_CPP_LIBS=yes \
     LIBDIR=%{_lib} VERSION=$VERSION

%install
rm -rf $RPM_BUILD_ROOT

. ./VERSION
cd src
make CFLAGS="%optflags -fPIC -I." USE_VOMS=yes WITH_CPP_LIBS=yes \
     LIBDIR=%{_lib} VERSION=$VERSION install

mkdir -p $RPM_BUILD_ROOT%{_docdir}/%{name}-devel-%{version}
mv $RPM_BUILD_ROOT%{_datadir}/doc/CGSI \
   $RPM_BUILD_ROOT%{_docdir}/%{name}-devel-%{version}

rm $RPM_BUILD_ROOT%{_libdir}/*.a

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%{_libdir}/libcgsi_plugin.so.*
%{_libdir}/libcgsi_plugin_cpp.so.*
%{_libdir}/libcgsi_plugin_voms.so.*
%{_libdir}/libcgsi_plugin_voms_cpp.so.*
%doc LICENSE RELEASE-NOTES

%files devel
%defattr(-,root,root,-)
%{_includedir}/cgsi_plugin.h
%{_libdir}/libcgsi_plugin.so
%{_libdir}/libcgsi_plugin_cpp.so
%{_libdir}/libcgsi_plugin_voms.so
%{_libdir}/libcgsi_plugin_voms_cpp.so
%doc %{_docdir}/%{name}-devel-%{version}
%doc %{_mandir}/man*/*

%changelog
* Wed Sep 23 2009 Mattias Ellert <mattias.ellert@fysast.uu.se> - 1.3.3.2-1
- Update to version 1.3.3.2
- Drop the patch - all issues fixed upstream
- Change License tag to Apache 2.0

* Fri Aug 14 2009 Mattias Ellert <mattias.ellert@fysast.uu.se> - 1.3.3.1-1
- Update to version 1.3.3.1

* Tue Jun 30 2009 Anders Wäänänen <waananen@nbi.dk> - 1.3.2.2-4
- Fix docdir handling

* Wed Jan 14 2009 Mattias Ellert <mattias.ellert@fysast.uu.se> - 1.3.2.2-3
- Rebuild against distribution Globus

* Wed Nov 19 2008 Anders Wäänänen <waananen@nbi.dk> - 1.3.2.2-2
- Update patch to use $(CPP) instead of ld (2 places)

* Sun Oct 26 2008 Mattias Ellert <mattias.ellert@fysast.uu.se> - 1.3.2.2-1
- Update to version 1.3.2.2

* Fri Jan 11 2008 Mattias Ellert <mattias.ellert@fysast.uu.se> - 1.2.1.2-1
- Update to version 1.2.1.2

* Tue Jul 24 2007 Mattias Ellert <mattias.ellert@fysast.uu.se> - 1.1.17.2-2
- Rebuild against newer globus and voms

* Wed May  9 2007 Mattias Ellert <mattias.ellert@fysast.uu.se> - 1.1.17.2-1
- Initial build
